.loading {
    @apply w-12 h-12 m-auto relative;
}

.loading:before {
    @apply content-[''] dark:bg-white bg-black rounded-[50%] opacity-40 absolute top-[60px] left-0 w-12 h-[5px];
    animation: shadow 0.5s linear infinite;
}

.loading:after {
    @apply content-[''] w-full h-full dark:bg-primary bg-secondary absolute top-0 left-0 rounded;
    animation: bxSpin 0.5s linear infinite;
}

@keyframes bxSpin {
    17% {
        border-bottom-right-radius: 3px;
    }

    25% {
        transform: translateY(9px) rotate(22.5deg);
    }

    50% {
        transform: translateY(18px) scale(1, .9) rotate(45deg);
        border-bottom-right-radius: 40px;
    }

    75% {
        transform: translateY(9px) rotate(67.5deg);
    }

    100% {
        transform: translateY(0) rotate(90deg);
    }
}

@keyframes shadow {

    0%,
    100% {
        transform: scale(1, 1);
    }

    50% {
        transform: scale(1.2, 1);
    }
}